package com.qadeer.college.teacher;


import com.fasterxml.jackson.annotation.JsonIgnore;
import com.qadeer.college.course.Course;
import com.qadeer.college.student.Student;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;
import java.util.ArrayList;
import java.util.List;

@Entity
@Data
@AllArgsConstructor
@NoArgsConstructor
public class Teacher {
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private int id;
    private String name;
    private String subject;
    @JsonIgnore
    @ManyToMany(mappedBy = "teacherList")
    List<Student> studentList = new ArrayList<>();

    @OneToOne()
    Course course;
}
